Bug 967138 - Needs version bump
Needs version bump
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: fpaste (Show other bugs)
el5
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 17:53 EDT by jrd-rhbz@gerdesas.com
Modified: 2013-06-10 13:06 EDT (History)
4 users (show)

See Also:
Fixed In Version: fpaste-0.3.7.1-8.el5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 13:03:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jrd-rhbz@gerdesas.com 2013-05-24 17:53:10 EDT
Description of problem: Existing el5 version of fpaste-0.3.7-2.el5 has not been updated work work with the new fpaste service as the el6 version has been.


Version-Release number of selected component (if applicable): fpaste-0.3.7-2.el5


How reproducible: Always


Steps to Reproduce:
1. Install fpaste-0.3.7-2.el5
2. 
3.

Actual results: Does not properly post the paste to the fpaste service.


Expected results: Properly posts the paste to the fpaste service.


Additional info:
Comment 1 Fedora Update System 2013-05-24 18:12:48 EDT
fpaste-0.3.7.1-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.el6
Comment 2 Fedora Update System 2013-05-24 18:39:24 EDT
fpaste-0.3.7.1-8.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.el5.1
Comment 3 jrd-rhbz@gerdesas.com 2013-05-24 19:33:03 EDT
I grabbed the recently built package from koji to test and it is missing an install dep on the python json module:

pts/0 jrd@frodo:/home/jrd$ echo test | fpaste
Traceback (most recent call last):
  File "/usr/bin/fpaste", line 25, in ?
    import os, sys, urllib, urllib2, subprocess, json
ImportError: No module named json


This is on an up to date CentOS 5.9 host running with native python:

pts/0 jrd@frodo:/home/jrd$ rpm -q python
python-2.4.3-56.el5.i386
Comment 4 Fedora Update System 2013-05-25 05:38:14 EDT
fpaste-0.3.7.1-8.el5.2 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fpaste-0.3.7.1-8.el5.2
Comment 5 Athmane Madjoudj 2013-05-25 05:47:11 EDT
Hi John,

0.3.7.1-8.el5.2 realse should fix the issue:


[athmane@draco ~]$ cat  /etc/redhat-release 
CentOS release 5.9 (Final)
[athmane@draco ~]$ rpm -q fpaste
fpaste-0.3.7.1-8.el5.2
[athmane@draco ~]$ echo test42|fpaste
Uploading (0.1KiB)...
http://ur1.ca/e175r -> http://paste.fedoraproject.org/14468/47520013
Comment 6 Fedora Update System 2013-05-25 13:42:06 EDT
Package fpaste-0.3.7.1-8.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fpaste-0.3.7.1-8.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-5951/fpaste-0.3.7.1-8.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-10 13:03:27 EDT
fpaste-0.3.7.1-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-06-10 13:06:37 EDT
fpaste-0.3.7.1-8.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.